Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class ForEachNodeInstance.ForEachSplitNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.node.ForEachNodeInstance.ForEachSplitNodeInstance

All Implemented Interfaces:
  Serializable, NodeInstance

Enclosing class:
  ForEachNodeInstance

    public class ForEachNodeInstance.ForEachSplitNodeInstance

extends NodeInstanceImpl

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Constructor Summary
`ForEachNodeInstance.ForEachSplitNodeInstance()`

Method Summary
`ForEachNode.ForEachSplitNode` | `getForEachSplitNode()`
`void` | `internalTrigger(NodeInstance fromm, String type)`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`cancel, executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForEachNodeInstance.ForEachSplitNodeInstance

    public ForEachNodeInstance.ForEachSplitNodeInstance()

Method Detail

### getForEachSplitNode

    public ForEachNode.ForEachSplitNode getForEachSplitNode()

### internalTrigger

    public void internalTrigger(NodeInstance fromm,
                                String type)

  Specified by:
    `internalTrigger` in class `NodeInstanceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.